This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 249937 - iwl3945 wireless connection destroys network connectivity
iwl3945 wireless connection destroys network connectivity
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 03:33 EDT by NILMONI DEB
Modified: 2008-06-16 21:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-28 03:33:31 EDT
Description of problem:

As described in bug 249932, my wireless connection (wlan0) is started at boot 
and sometimes an IP address is obtained from a random unsecured router/AP in 
the neighborhood. Now, my wired ethernet connection (eth0) always gets its IP 
from my personal router. Under these circumstances (when eth0 and wlan0 get IP 
addresses from different routers/APs), internet connectivity is lost since 
even though I can ping the router from my machine, I cannot access any 
external website. Only when I stop the wlan0 device, does it become possible 
to access the internet via the eth0 device.

Version-Release number of selected component (if applicable):
wireless-tools-28-4.fc7


How reproducible:
Always

Steps to Reproduce:
1. Just make sure that both wired and wireless connections are started during 
boot
2.
3.
  
Actual results:


Expected results:
Two network connections (via two networking devices on the PC) should not 
prevent access to internet altogether.
Comment 1 Deependra Singh Shekhawat 2007-08-27 01:22:31 EDT
Exactly I have also noticed this problem. I am not using any networkManger stuff
to manage my connections.

I have a intel wireless card (using iwl3945) and intel lan card. When I enable
both of them in system-config-network to automatically start at boot they both
get there address during the boot process but when the desktop get's loaded I
can't access internet at all.
Either have to shut down the wired connection or I have shut down the wireless
connection then only I can use the internet.

Just the difference in my and above person's case is that I have a single access
point to which I connect all the time and via the same access point (hava a
ethernet port) I get my wired connection too.
Comment 2 Deependra Singh Shekhawat 2007-08-27 01:23:02 EDT
Exactly I have also noticed this problem. I am not using any networkManger stuff
to manage my connections.

I have a intel wireless card (using iwl3945) and intel lan card. When I enable
both of them in system-config-network to automatically start at boot they both
get there address during the boot process but when the desktop get's loaded I
can't access internet at all.
Either have to shut down the wired connection or I have shut down the wireless
connection then only I can use the internet.

Just the difference in my and above person's case is that I have a single access
point to which I connect all the time and via the same access point (hava a
ethernet port) I get my wired connection too.
Comment 3 Bug Zapper 2008-05-14 09:43:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:59:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.